<?php
/**
 * CPT Name: Shop No Sidebar
 * CPT Type: WooCommerce
 */

 // File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_filter( 'presscore_main_container_classes', function( $classes ) {
	$classes = array_diff( $classes, array( 'sidebar-right', 'sidebar-left' ) );
	$classes []= 'sidebar-none';
	return $classes;
} );

$config = presscore_config();
$config->set( 'template', 'page' );
get_header( 'shop' );

?>

<?php if ( presscore_is_content_visible() ): ?>

    <div id="content" class="content" role="main">

		<?php
		if ( have_posts() ) {
			the_post();
			$config->set( 'sidebar_position', 'disabled' );
			do_action( 'presscore_before_loop' );
			cptemplates_template_content();
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'the7mk2' ),
				'after'  => '</div>',
			) );
			presscore_display_share_buttons_for_post( 'page' );
			comments_template( '', true );
		} else {
			get_template_part( 'no-results', 'page' );
		}
		?>

    </div><!-- #content -->

	<?php do_action( 'presscore_after_content' ) ?>

<?php endif // if content visible ?>

<?php get_footer() ?>